get
https://api.assetpanda.com/v3/attachments
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Attachments
Retrieve a list of attachments, along with the locations from where the attachments are being pulled from. Also retrieves the attachment ID of all attachments linked to an object.
See Authentication below.
Sample Response
{
"folders": [],
"attachments": {
"images": [
{
"id": "4916464",
"type": "Image",
"name": "2021-09-10_11-38-58.png",
"created_at": "2022-03-22T15:18:42.000Z",
"share_url": "https://login.assetpanda.com/d/d31eb71654f1c761458187b28569660d",
"thumb": "https://panda-assets-live.s3.amazonaws.com/uploads/document/image/4916464/thumb_2021-09-10_11-38-58.png",
"medium": "https://panda-assets-live.s3.amazonaws.com/uploads/document/image/4916464/default_2021-09-10_11-38-58.png",
"large": "https://panda-assets-live.s3.amazonaws.com/uploads/document/image/4916464/big_2021-09-10_11-38-58.png",
"url": "https://panda-assets-live.s3.amazonaws.com/uploads/document/image/4916464/big_2021-09-10_11-38-58.png"
},
{
"id": "4915567",
"type": "Image",
"name": "ABT493C71C7F2CC68CE82805045D9157C35191330B10E3F7358AD665099E19C5C4E.jpg",
"created_at": "2022-03-22T07:40:47.000Z",
"share_url": "https://login.assetpanda.com/d/e40b4c5c86343501851c280935594a0e",
"thumb": "https://panda-assets-live.s3.amazonaws.com/uploads/document/image/4915567/thumb_ABT493C71C7F2CC68CE82805045D9157C35191330B10E3F7358AD665099E19C5C4E.jpg",
"medium": "https://panda-assets-live.s3.amazonaws.com/uploads/document/image/4915567/default_ABT493C71C7F2CC68CE82805045D9157C35191330B10E3F7358AD665099E19C5C4E.jpg",
"large": "https://panda-assets-live.s3.amazonaws.com/uploads/document/image/4915567/big_ABT493C71C7F2CC68CE82805045D9157C35191330B10E3F7358AD665099E19C5C4E.jpg",
"url": "https://panda-assets-live.s3.amazonaws.com/uploads/document/image/4915567/big_ABT493C71C7F2CC68CE82805045D9157C35191330B10E3F7358AD665099E19C5C4E.jpg"
}Parameters
| Query Parameters | Required/Optional | Description | Type |
|---|---|---|---|
entity_id | Optional | Retrieves all the attachments associated with the specified group. This must be used in combination with the scope parameter, where the value of scope must be 'assigned'.For example, 'entity_id=13808&scope=assigned'. | Integer |
entity_object_id | Optional | Retrieves all the attachments associated with the specified record. | String |
name | Optional | Retrieves all the attachments that even partially match the specified name. | String |
type | Optional | Retrieves all the attachments with the specified type. This parameter will only accept one of the following four values: Image, VoiceNote, Video, and Document. | String |
scope | Optional | Retrieves all the attachments with the specified scope. This parameter will only accept one of the following two values: assigned and unassigned. | String |
folder_id | Optional | Retrieves all the attachments belonging to the specified folder. | Integer |
start_date | Optional | Retrieves all the attachments that were added on or after the specified date. | String |
end_date | Optional | Retrieves all the attachments that were added on or before the specified date. | String |
Authentication
| Key | Description |
|---|---|
| Authorization | Your Bearer token. |
